View as Markdown

Holdings

Data model

Holding

Holding value on a specific date.

ccyCodestring

ISO 4217 code for the currency in which the holding is reported.

datestring

ISO 8601 representation of the date where the data holds.

marketValuenumber

Market value of the holding.

Relationships

  • reportingEntity (required)
  • depository (optional)
  • portfolio (optional)
  • instrument (optional)
  • account (optional): set on a cash holding when the data is expanded by instruments; it carries the same ID as instrument
  • instrumentClass (optional)
  • instrumentClassDetailed (optional)

Instrument holding

Holding value on a specific date for a specific instrument.

ccyCodestring

ISO 4217 code for the currency in which the holding is reported.

datestring

ISO 8601 representation of the date where the data holds.

marketValuenumber

Market value of the holding.

unitsInHoldingnumber

The number of units of the instrument owned.

Relationships

  • reportingEntity (required)
  • depository (optional)
  • portfolio (required)
  • instrument (required)
  • account (optional): set on a cash holding; it carries the same ID as instrument
  • instrumentClass (optional)
  • instrumentClassDetailed (optional)

GET/api/v3/holdings/reporting-entities/{id}

Get holdings

Get holding values for a specific reporting entity in a given period. The default behavior of the endpoint is to aggregate holdings of the entire reporting entity. More granular data can be retrieved by using the expand parameter.

Parameters

expandquery, optional

Allows for expansion of the data from the total reporting entity level to lower levels. Possible values: portfolios, depositories, instruments, instrumentClasses, instrumentClassesDetailed. Multiple values can be passed as a comma separated list, e.g. portfolios,instruments. Values are case-insensitive; an unknown value or an empty entry (such as a trailing comma) is 400 Invalid expand parameter: {expand}. When choosing depositories, all holdings without a depository can be identified as those not including depository in the relationships object.

fromDatequery, required

First date in the period, yyyy-MM-dd.

idpath, required

Identifier for the reporting entity, a 24-character hex ID.

includequery, optional

Allows for inclusion of related data. Possible value: instrument, which requires expand to contain instruments (otherwise 400 Cannot include instruments data if 'expand' is not set to 'instruments'.). Any other value is ignored.

toDatequery, required

Last date in the period, yyyy-MM-dd.

A malformed id is 400, a missing or empty date is 400, a date not in yyyy-MM-dd format is 422, and fromDate after toDate is 400. An unknown reporting entity, or one you cannot see, is 404.

Total reporting entity holdings
GET/api/v3/holdings/reporting-entities/{id}
GET /api/v3/holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-06-03
  &toDate=2024-06-04 HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai

Passing expand=portfolios to the endpoint results in per-portfolio holdings data.

Holdings by portfolios
GET/api/v3/holdings/reporting-entities/{id}
GET /api/v3/holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-06-03
  &toDate=2024-06-04
  &expand=portfolios HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Holdings by instruments
GET/api/v3/holdings/reporting-entities/{id}
GET /api/v3/holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-06-03
  &toDate=2024-06-04
  &expand=instruments HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Holdings by portfolios and instruments
GET/api/v3/holdings/reporting-entities/{id}
GET /api/v3/holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-10-01
  &toDate=2024-10-01
  &expand=instruments,portfolios HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Holdings by instrument class and detailed instrument class
GET/api/v3/holdings/reporting-entities/{id}
GET /api/v3/holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-10-01
  &toDate=2024-10-01
  &expand=instrumentClasses,instrumentClassesDetailed HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai

GET/api/v3/instrument-holdings/reporting-entities/{id}

Get instrument holdings

Get instrument holdings for a reporting entity with a specific ID. As opposed to regular holdings fetched with GET /api/v3/holdings/reporting-entities/{id}, where data may be summarized by means of the expand parameter, instrument holdings always represent the most detailed reporting level.

Parameters

fromDatequery, required

First date in the period, yyyy-MM-dd.

idpath, required

Identifier for the reporting entity, a 24-character hex ID.

includequery, optional

Allows for inclusion of related data. Possible value: instrument. Any other value is ignored.

toDatequery, required

Last date in the period, yyyy-MM-dd.

This endpoint does not read expand. Date errors and the 404 are the same as on get holdings.

Instrument holdings
GET/api/v3/instrument-holdings/reporting-entities/{id}
GET /api/v3/instrument-holdings/reporting-entities/649ad926fc1a10be9e2ea241
  ?fromDate=2024-06-03
  &toDate=2024-06-04 HTTP/1.1

Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai